import random

from core.state import World
from core.constants import LayerValue
from ui import UserInterface, Theme

# Create a basic game state
from ui.mode import EditGameMode

world = World(20, 15)
ground = world.ground
for y in range(0, world.height):
    for x in range(0, world.width):
        ground.setValue(x, y, LayerValue.GROUND_EARTH)

# Create a user interface and run it
theme = Theme()
userInterface = UserInterface(theme)
gameMode = EditGameMode(theme, world)
userInterface.setGameMode(gameMode)
userInterface.setRenderSize(world.width * 16, world.height * 16)
userInterface.run()
userInterface.quit()
